
import bpy, ossl.menu as menu

class OSSL_MT_Avatar_generate(menu.MenuFolder):
    bl_label = "OSSL Menu Avatar Generate"
    bl_idname = "OSSL_MT_Avatar_generate"

def OSSL_menu_Avatar_generate(self, context):
    self.layout.menu(OSSL_MT_Avatar_generate.bl_idname, text="generate", icon="TRIA_RIGHT")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Avatar Generate")
    bpy.utils.register_class(OSSL_MT_Avatar_generate)
    bpy.types.OSSL_MT_Avatar.append(OSSL_menu_Avatar_generate)
    util.imports("ossl._types.Avatar.generate", "generate_default")
    print("registered: OSSL Type Avatar Generate")

def unregister():
    print("unregistering: OSSL Type Avatar Generate")
    util.release("ossl._types.Avatar.generate", "generate_default")
    bpy.types.OSSL_MT_Avatar.remove(OSSL_menu_Avatar_generate)
    bpy.utils.unregister_class(OSSL_MT_Avatar_generate)
    print("unregistered: OSSL Type Avatar Generate")

if __name__ == "__main__":
    util.reset_addon()
